#! /bin/bash
#
# Script to shutdown or reboot the SLCM
#

#
# Place steps to execute prior to reboot/shutdown here
#
rm -f /etc/shutdown.conf

# update hardware RTC with current system time
hwclock --utc --systohc								   

# Terminate the lcd so we can echo to it below
if [ -f /var/run/lcd.pid ] ; then
    /bin/kill `cat /var/run/lcd.pid`
fi

#
# Save the logs under /var/logs for after reboot
# Make sure logs are less than 200K first
#
if [ -f /var/log/messages ] ; then
    /sbin/logrotate /etc/logrotate.conf
    if [ ! -d /www/savelogs ] ; then
        /bin/mkdir /www/savelogs
    fi
    rm -f /www/savelogs/*
    for i in debug devports diag general messages network secure services sw syslog ; do
        if [ -f /var/log/$i ] ; then
            /bin/cp /var/log/$i /www/savelogs
        fi
    done
fi

model=$(/bin/grep "<PRODUCT>" /www/xml/config.xml | /bin/awk -F\> '{ print $2 }' | /bin/awk -F\< ' { print $1 }')

#
# shutdownslc.sh is a soft link.  if we were called from a soft link,
# do a shutdown, otherwise reboot.
#
if [ -h $0 ] ; then
    echo "HALT_ACTION /bin/shutdownecho.sh" > /etc/shutdown.conf
    echo "Shutting down the $model..."
    echo "0Shutting down the $model..." > /dev/frontpanel0
    echo "1 " > /dev/frontpanel0
    /sbin/shutdown -q now
else
    echo "Rebooting the $model..."
    echo "0Rebooting the $model..." > /dev/frontpanel0
    echo "1 " > /dev/frontpanel0
    /sbin/shutdown -r -q now
fi
